package com.yaohun.itemlibrary.api;

import com.yaohun.itemlibrary.data.SortData;
import com.yaohun.itemlibrary.main;
import com.yaohun.itemlibrary.manage.SortManager;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.inventory.ItemStack;

import java.io.File;

public abstract class ItemKuAPI {

    /*
    * 根据分类名 + 物品代号获取物品
    * */
    public static ItemStack getSortItemStack(String sortName,String itemKey){
        SortData sortData = main.sortManager.getSortData(sortName);
        if(sortData.isStackExit(itemKey)){
            return sortData.getStackLinkedMap().get(itemKey).clone();
        }
        return DemonAPI.getErrItems();
    }

    public static ItemStack getItems(String itemKey){
        SortManager sortManager = main.sortManager;
        ItemStack stack = sortManager.getItemStack(itemKey);
        stack.setAmount(1);
        return stack;
    }
    public static ItemStack getItems(String itemKey,int amount){
        SortManager sortManager = main.sortManager;
        ItemStack stack = sortManager.getItemStack(itemKey);
        stack.setAmount(amount);
        return stack;
    }
}
